<?php
add_action('admin_init', 'theme_options_init');
add_action('admin_menu', 'theme_options_add_page');

function theme_options_init(){
	register_setting('sample_options', 'sncmono_theme_options', 'theme_options_validate');
}

function theme_options_add_page() {
	add_theme_page(__('Theme Options', 'snc-mono'), __('Theme Options', 'snc-mono'), 'edit_theme_options', 'theme_options', 'theme_options_do_page');
}

function theme_options_do_page() {
	global $select_options, $radio_options;

	if (!isset($_REQUEST['settings-updated'])) $_REQUEST['settings-updated'] = false;
	?>
	<div class="wrap">
		<?php screen_icon(); echo "<h2>" . wp_get_theme() . __(' Theme Options', 'snc-mono') . "</h2>"; ?>

		<?php if (false !== $_REQUEST['settings-updated']) : ?>
		<div class="updated fade"><p><strong><?php _e('Options saved', 'snc-mono'); ?></strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php
			settings_fields('sample_options');
			$options = get_option('sncmono_theme_options');
			?>

			<table class="form-table">
				<tr valign="top"><th scope="row"><?php _e('Search box text', 'snc-mono'); ?></th>
					<td>
						<input id="sncmono_theme_options[search_box]" class="regular-text" type="text" name="sncmono_theme_options[search_box]" value="<?php sncmono_search_box(); ?>" />
						<label class="description" for="sncmono_theme_options[search_box]"><small><?php _e('It\'s default text that shows inside search box.', 'snc-mono'); ?></small></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e('Header background color', 'snc-mono'); ?></th>
					<td>
						<input id="sncmono_theme_options[header_color]" class="regular-text" type="text" name="sncmono_theme_options[header_color]" value="<?php echo esc_attr($options['header_color']); ?>" />
						<label class="description" for="sncmono_theme_options[header_color]"><small><?php _e('You can use hex (e.g. #a0a0a0), rgb (e.g. rgb(120, 120, 120)) or names (e.g. silver).', 'snc-mono'); ?></small></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e('Credit', 'snc-mono'); ?></th>
					<td>
						<input id="sncmono_theme_options[credit]" name="sncmono_theme_options[credit]" type="checkbox" value="1" <?php checked('1', $options['credit']); ?> />
						<label class="description" for="sncmono_theme_options[credit]"><small><?php _e('Check to show credit for this theme in footer.', 'snc-mono'); ?></small></label>
					</td>
				</tr>
			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e('Save Options', 'snc-mono'); ?>" />
			</p>
		</form>
	</div>
	<?php
}

function theme_options_validate ($input) {
	global $select_options, $radio_options;
	$input['search_box'] = wp_filter_nohtml_kses($input['search_box']);
	$input['header_color'] = wp_filter_nohtml_kses($input['header_color']);
	$input['credit'] = ($input['credit'] == 1) ? 1 : 0 ;
	return $input;
}